function iconClick() {
    var dist = [
	[38.892123,139.818884],
	[38.891187,139.819313],
	[38.891780,139.823411]
    ];
    var center = [38.891, 139.824];
    var mymap = L.map("icon-click").setView(center, 16);
    mymap.scrollWheelZoom.disable();
    L.tileLayer('//cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
	attribution:
	'<a href="http://maps.gsi.go.jp/development/ichiran.html">\
	国土地理院</a>'
    }).addTo(mymap);
    
    /* 目的地のマーカー */
    var marker0 = L.marker(dist[0]).addTo(mymap);
    var marker1 = L.marker(dist[1]).addTo(mymap);
    var marker2 = L.marker(dist[2]).addTo(mymap);

    /* 移動するマーカー */
    var marker = L.marker(center).addTo(mymap);
    marker.bindPopup('地図上のどこかをクリックしてください').openPopup();
    function moveIcon(e) {
	/* もし目的地にマーカーが移動したら文字を表示 */
	if ((e.latlng.lat >= 38.892 && e.latlng.lat <= 38.893) && (e.latlng.lng >= 139.818 && e.latlng.lng <= 139.819)) {
	    marker.setLatLng(e.latlng).bindPopup("あ").openPopup();
	    document.getElementById("word1").textContent = "あ ";
	} else if ((e.latlng.lat >= 38.891 && e.latlng.lat <= 38.892) && (e.latlng.lng >= 139.819 && e.latlng.lng <= 139.820)) {
	    marker.setLatLng(e.latlng).bindPopup("い").openPopup();
	    document.getElementById("word2").textContent = "い ";
	} else if ((e.latlng.lat >= 38.891 && e.latlng.lat <= 38.892) && (e.latlng.lng >= 139.823 && e.latlng.lng <= 139.824)) {
	    marker.setLatLng(e.latlng).bindPopup("う").openPopup();
	    document.getElementById("word3").textContent = "う ";
	} else if ((e.latlng.lat >= 38.894 && e.latlng.lat <= 38.895) && (e.latlng.lng >= 139.819 && e.latlng.lng <= 139.820)) {
	    marker.setLatLng(e.latlng).bindPopup("GOAL!").openPopup();
	} else {
	    marker.setLatLng(e.latlng).bindPopup(
		"さらに目的地に近づいてください"
	    ).openPopup();
	}
    }
    mymap.on('click', moveIcon);
}
document.addEventListener("DOMContentLoaded", iconClick);

